package com.rjconsultores.ventaboletos.enums;

public enum TipoBloqueioDispositivoEmbarcadaEnum {

	DISPOSITIVO_BLOQUEADO(1, "BLOQUEADO"), DISPOSITIVO_MANUTENCAO(2, "MANUTENÇÃO"), DISPOSITIVO_BAIXADO(3, "BAIXADO");

	private Integer valor;
	private String descricao;

	private TipoBloqueioDispositivoEmbarcadaEnum(Integer valor, String descricao) {
		this.valor = valor;
		this.descricao = descricao;
	}

	public Integer getValor() {
		return valor;
	}

	public void setValor(Integer valor) {
		this.valor = valor;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	public static TipoBloqueioDispositivoEmbarcadaEnum getTipoDispositivoEmbarcada(Integer valor) {
		if (valor != null) {
			for (TipoBloqueioDispositivoEmbarcadaEnum tde : TipoBloqueioDispositivoEmbarcadaEnum.values()) {
				if (tde.getValor().equals(valor)) {
					return tde;
				}
			}
		}
		return null;
	}

}
